package com.kmall.common.utils.wechat.wxglobal.dto;

/**
 * 请求退款查询返回的退款单列表字段
 * @author huangyq
 * @version 1.0
 * 2018-12-29 14:21
 */
public class WechatGlobalRefundQueryDto {
    private String id;
    private String out_refund_no;
    /**
     * ORIGINAL—原路退款
     BALANCE—退回到余额
     OTHER_BALANCE—原账户异常退到
     其他余额账户
     OTHER_BANKCARD—原银行卡异常
     退到其他银行卡
     */
    private String channel;//退款渠道
    /**
     *   取当前退款单的退款入账方1）退回银行卡：{银行名称}{卡类型}{卡尾号}2）退回支付用户零钱:支付用户零钱3）退回支付用户零钱通:支付用户零
     */
    private String recv_accout;//退款入账账户
    /**
     *REFUND_SOURCE_UNSETTLED_FUN
     DS---未结算资金退款（默认使用未结算资金退款）REFUND_SOURCE_RECHARGE_FUNDS---可用余额
     */
    private String fund_source;//退款资金来源
    private String success_time;//退款成功时间 2018-06-08T10:34:56+08:
    private String create_time;//退款创建时间
    /**
     *  退款状态：SUCCESS—退款成功CLOSED—退款关闭PROCESSING—退款处
     */
    private String status;//退款状态
    private RefundAmountAsynNotifyDto amount;//订单金额信息

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getOut_refund_no() {
        return out_refund_no;
    }

    public void setOut_refund_no(String out_refund_no) {
        this.out_refund_no = out_refund_no;
    }

    public String getChannel() {
        return channel;
    }

    public void setChannel(String channel) {
        this.channel = channel;
    }

    public String getRecv_accout() {
        return recv_accout;
    }

    public void setRecv_accout(String recv_accout) {
        this.recv_accout = recv_accout;
    }

    public String getFund_source() {
        return fund_source;
    }

    public void setFund_source(String fund_source) {
        this.fund_source = fund_source;
    }

    public String getSuccess_time() {
        return success_time;
    }

    public void setSuccess_time(String success_time) {
        this.success_time = success_time;
    }

    public String getCreate_time() {
        return create_time;
    }

    public void setCreate_time(String create_time) {
        this.create_time = create_time;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public RefundAmountAsynNotifyDto getAmount() {
        return amount;
    }

    public void setAmount(RefundAmountAsynNotifyDto amount) {
        this.amount = amount;
    }
}
